[mythtv-users] Gentoo, qt4 and mythtv

Robin Hill myth at robinhill.me.uk
Sun Jan 7 21:32:49 UTC 2007

On Mon Jan 08, 2007 at 10:10:29AM +1300, Robin Gilks wrote:

> Greetings
> I build from SVN on a regular basis on my Gentoo based system. For some
> unknown reason Gentoo has put qt4 into the stable tree and I've ended up
> emerging it (although I can find nothing that uses it!!).
> How do I prevent my Mythtv builds from trying to use qt4 (qt3 is still
> installed)? Or how do I prevent it being emerged (other than masking it)?
What's the problem with masking it?  That's the approach I've taken.
Alternately, just change the PATH to put the qt3 directory at the
beginning, before running configure & make - i.e.:
        PATH=/usr/qt/3/bin:$PATH ./configure
        PATH=/usr/qt/3/bin:$PATH make

That's force it to use the qt3 versions of the tools, rather than the
default qt4 versions.

    ( ' }     |       Robin Hill        <myth at robinhill.me.uk>  |
   / / )      | Little Jim says ....                            |
  // !!       |      "He fallen in de water !!"                 |
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 197 bytes
Desc: not available
Url : http://mythtv.org/pipermail/mythtv-users/attachments/20070107/ee1dc5e2/attachment.pgp 

More information about the mythtv-users mailing list